#include "dw.h"
#include "gl_wrapper.h"


int main (int argc, char** argv)
{
  dw_library_t* gl_lib;
  char* gl_libpath;

  gl_libpath = (argc > 1) ? argv[1] : "/usr/lib/libGL.so";

  if ((gl_lib = dw_open ("GL", gl_libpath)) == NULL ||
      (dw_add (gl_lib, _symtab_gl, 0)))
  {
    printf ("error: %s\n", dw_error());
    return 1;
  }

  dw_dump (gl_lib);
  dw_close (gl_lib);
  return 0;
}
